/*
* Simple Team Kill Slay
*
* Detects team kills and attacks
*
* Based on plugin_logd_tk
*
* [WING] Black Knight
*/


#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

#define ACCESS_CONSOLE 131072

new STRING_VERSION[MAX_DATA_LENGTH] = "0.1";

tkPunish(iID) {
	new Message[MAX_TEXT_LENGTH];
	new Name[MAX_NAME_LENGTH];

	if(!playerinfo(iID,Name,MAX_NAME_LENGTH)) {
		return 0;
	}

	slay(Name);
	snprintf( Message, MAX_TEXT_LENGTH, "%s^nWas slayed because of TK!", Name);
	typesay( Message, 10, 255, 255, 255 );

	return 1;
}

public logd_teamkill(HLCommand,HLData,HLUserName,UserIndex) {
	new iTeamA,iTeamV;
	new iUserID,iWONID;
	new sIDA[3];
	new sIDV[3];
	new Data[MAX_NAME_LENGTH];

	convert_string(HLData,Data,MAX_DATA_LENGTH);
	strsplit(Data," ",sIDA,3,sIDV,3);

	if(playerinfo(strtonum(sIDA),Data,MAX_NAME_LENGTH,iUserID,iWONID,iTeamA) && playerinfo(strtonum(sIDV),Data,MAX_NAME_LENGTH,iUserID,iWONID,iTeamV) && iTeamV==iTeamA) {
		tkPunish(strtonum(sIDA));
	}

	return PLUGIN_HANDLED;
}

public plugin_init() {
	plugin_registerinfo("Team Killing Slay","Slays directly any team killers.",STRING_VERSION);
	plugin_registercmd("logd_teamkill","logd_teamkill", ACCESS_CONSOLE, "");

	exec("logd_reg 57 admin_command logd_teamkill");
	return PLUGIN_CONTINUE;
}